BEGIN 9xP1

IF~Global("ISHxRevBarb","GLOBAL",1) Global("ISHxRevBarbP","GLOBAL",0)~ THEN BEGIN PatricBar0
SAY @45
IF~~THEN DO ~SetGlobal("ISHxRevBarbP","GLOBAL",1)~ EXIT
END

IF~!Global("ISHxMain","GLOBAL",99) !Global("ISHxMain","GLOBAL",10) NumTimesTalkedTo(0)~THEN BEGIN PATRIC000
SAY @0
IF~~THEN REPLY @1 GOTO PATRIC001
IF~~THEN REPLY @2 GOTO PATRIC002
IF~~THEN REPLY @3 GOTO PATRIC003
END

IF~!Global("ISHxMain","GLOBAL",99) NumTimesTalkedToGT(0) Global("ISHxGift","GLOBAL",0)~THEN BEGIN PATRIC011
SAY @4
IF~Global("ISHxMain","GLOBAL",0)~THEN REPLY @5 GOTO PATRIC001
IF~~THEN REPLY @6 GOTO PATRIC002
IF~~THEN REPLY @7 GOTO PATRIC003
IF~Global("ISHxMain","GLOBAL",2)~THEN REPLY @8 GOTO PATRIC012
IF~Global("ISHxCC","GLOBAL",4)~THEN REPLY @9 GOTO PATRICChild0
END

IF~GlobalGT("ISHxGift","GLOBAL",0) NumTimesTalkedToGT(0)~THEN BEGIN PATRIC011
SAY @10
IF~~THEN REPLY @11 GOTO PATRIC002
IF~~THEN REPLY @12 GOTO PATRIC003
IF~Global("ISHxCC","GLOBAL",4)~THEN REPLY @13 GOTO PATRICChild0
END

IF~~THEN BEGIN PATRIC001
SAY @14
IF~~THEN REPLY @15 GOTO PATRIC004
IF~~THEN REPLY @16 GOTO PATRIC004
IF~~THEN REPLY @17 GOTO PATRIC002
IF~~THEN REPLY @18 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC004
SAY @19
=
@20
=
@21
=
@22
IF~~THEN REPLY @23 GOTO PATRIC005
IF~~THEN REPLY @24 GOTO PATRIC005
END

IF~~THEN BEGIN PATRIC005
SAY @25
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN PATRIC002
SAY @26
IF~~THEN REPLY @27 GOTO PATRIC006
IF~~THEN REPLY @28 GOTO PATRIC007
IF~GlobalGT("ISHxWCAxe","GLOBAL",0)~THEN REPLY @29 GOTO PATRIC008
IF~~THEN REPLY @30 GOTO PATRIC009
IF~~THEN REPLY @31 GOTO PATRIC010
IF~~THEN REPLY @32 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC006
SAY @33
IF~~THEN REPLY @34 GOTO PATRIC002
IF~~THEN REPLY @35 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC007
SAY @36
=
@37
IF~~THEN REPLY @34 GOTO PATRIC002
IF~~THEN REPLY @35 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC008
SAY @38
IF~~THEN REPLY @34 GOTO PATRIC002
IF~~THEN REPLY @35 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC009
SAY @39
IF~~THEN REPLY @34 GOTO PATRIC002
IF~~THEN REPLY @35 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC010
SAY @40
IF~~THEN REPLY @34 GOTO PATRIC002
IF~~THEN REPLY @35 GOTO PATRIC003
END

IF~~THEN BEGIN PATRIC003
SAY @41
IF~~THEN EXIT
END

IF~~THEN BEGIN PATRIC012
SAY @42
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",3)~ EXIT
END

IF~~THEN BEGIN PATRICChild0
SAY @43
=
@44
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",10)~ EXIT
END
